- [HTTP request](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets/create#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets/create#body.request_body)
- [Response body](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets/create#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets/create#body.aspect)
- [Try it!](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets/create#try-it)

Creates a spreadsheet, returning the newly created spreadsheet.

### HTTP request

`POST https://sheets.googleapis.com/v4/spreadsheets`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains an instance of `https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets#Spreadsheet`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets#Spreadsheet`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive`
- `https://www.googleapis.com/auth/drive.file`
- `https://www.googleapis.com/auth/spreadsheets`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).